/* Copyright (C) 2013 Bruno Mascret
 * Contact: bmascret@free.fr
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS sheFOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

/** Une toute petite classe pour représenter un Pingouin*/
public class Pingouin extends Animal{

	/**
		Constructeur de Pingouin, qui affecte automatiquement la chaîne "pingouin" à l'attribut hérité "espece"
		Utilise le constructeur d'Animal Animal(String, String)
		@param n le nom du pingouin
	*/
	public Pingouin(String n){
		super(n,"pingouin");
	}
	
	/**
		Ce qui est bien quand on est Pingouin, c'est qu'on peut glisser sur le ventre
	*/
	public void glisser(){
		System.out.println("Waou, je glisse sur le ventre");
	}

}